import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_rate_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_rate_table_entity.g.dart';

@JsonSerializable()
class ContractPositionRateTableEntity {
	int total = 0;
	List<ContractPositionRateTableRows> rows = [];

	ContractPositionRateTableEntity();

	factory ContractPositionRateTableEntity.fromJson(Map<String, dynamic> json) => $ContractPositionRateTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionRateTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ContractPositionRateTableRows {
	String? id;
	@JSONField(name: "agency_name")
	String? agencyName;
	String? position;
	@JSONField(name: "special_show")
	String? specialShow;
	String? amount;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "updated_at")
	String? updatedAt;

	ContractPositionRateTableRows();

	factory ContractPositionRateTableRows.fromJson(Map<String, dynamic> json) => $ContractPositionRateTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionRateTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}